# Get games list by specified group

Gets a games list from the specified group for building a catalog.
<div class="notice">
<strong>Attention</strong><br><br>
All projects have the limitation to the number of items that you can
get in the response. The default and maximum value is <strong>50 items
per response.</strong> To get more data page by page, use <b>limit</b>
and <b>offset</b> fields.
</div> <br> <div class="note">
<strong>Note</strong><br><br>
This API call returns generic item catalog data when used without
authorization. Use authorization to retrieve
<a href="https://developers.xsolla.com/doc/shop-builder/features/personalization/" target="_blank">personalized</a>
user data, such as limits and promotions associated with the item.
To do this, pass the user JWT in the <code>Authorization</code> header.
For more information about user JWT, see the <b>Security</b> block
for this call.
</div>

Endpoint: GET /v2/project/{project_id}/items/game/group/{external_id}
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your [Publisher Account](https://publisher.xsolla.com/0/projects/0/) next to the project name and in the browser address bar when working with a project. The URL has the following format: `https://publisher.xsolla.com/<merchant_id>/projects/<project_id>`.

  - `external_id` (string, required)
    [External item group ID](/api/catalog/item-groups-admin/admin-create-item-group#item-groups-admin/admin-create-item-group/t=request&path=external_id) specified during creation.

## Query parameters:

  - `limit` (integer)
    Limit for the number of elements on the page.

  - `offset` (integer)
    Number of the element from which the list is generated (the count starts from 0).

  - `locale` (string)
    Response language. Two-letter lowercase language code per ISO 639-1 (for example, `en`). Five-character locale codes (for example, `en-US`) are supported in localization fields such as `name` and `description`, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the [documentation](https://developers.xsolla.com/doc/shop-builder/references/supported-languages/).

  - `additional_fields[]` (array)
    Additional fields to include in the response. By default, these fields are not returned. Pass the required values to include them.

  - `country` (string)
    Two-letter uppercase country code per [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). Check the documentation for detailed information about [countries supported by Xsolla](https://developers.xsolla.com/doc/shop-builder/references/supported-countries/) and [the process of determining the country](https://developers.xsolla.com/doc/shop-builder/features/pricing-policy/#pricing_policy_country_determination).

  - `promo_code` (string)
    Unique case sensitive code. Contains letters and numbers.

  - `show_inactive_time_limited_items` (integer)
    Shows time-limited items that are not available to the user. The validity period of such items has not started or has already expired.

## Response 200 fields (application/json):

  - `has_more` (boolean)
    Used as an indicator that there are more pages.
    Example: true

  - `items` (array)
    Example: [{"sku":"com.xsolla.game_1","name":"Game name","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"type":"unit","unit_type":"game","description":"Game d…

  - `items.sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: game_01

  - `items.name` (string)
    Item name.
    Example: Game name

  - `items.groups` (array)
    Groups the item belongs to.
    Example: [{"external_id":"exclusive","name":"Exclusive"}]

  - `items.groups.external_id` (string)
    [External item group ID](/api/catalog/item-groups-admin/admin-create-item-group#item-groups-admin/admin-create-item-group/t=request&path=external_id) specified during creation.
    Example: exclusive

  - `items.groups.name` (string)
    Name of the group.
    Example: Exclusive

  - `items.groups.item_order_in_group` (integer)
    The item's position within the group that determines its display order.
Returned only if requested via the `additional_fields[]` query parameter.
    Example: 1

  - `items.attributes` (array)
    List of attributes and their values corresponding to the item. Can be used for catalog filtering.
    Example: {"value":{"external_id":"genre","name":"Жанр","values":[{"external_id":"genre_e3364991f92e751689a68b96598a5a5a84010b85","value":"Casual"},{"external_id":"genre_eba07bfd0f982940773cba3744d97264dd58acd7…

  - `items.attributes.external_id` (string)
    Unique attribute ID. The `external_id` may contain only lowercase and uppercase Latin alphanumeric characters, dashes, and underscores.
    Example: attribute_1

  - `items.attributes.name` (string)
    Name of attribute.
    Example: Genre

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    Unique value ID for an attribute. The `external_id` may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
    Example: attribute_value

  - `items.attributes.values.value` (string)
    Value of attribute.
    Example: Strategy

  - `items.type` (string)
    Type of item: `virtual_good`/`virtual_currency`/`bundle`/`physical_good`/`unit`.
    Example: unit

  - `items.unit_type` (string)
    Type of unit: `game`.
    Example: game

  - `items.description` (string)
    Item description.
    Example: Game description

  - `items.image_url` (string)
    Image URL.
    Example: https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png

  - `items.promotions` (array)
    Applied promotions for specific items in the cart. The array is returned in the following cases:
* A discount promotion is configured for a specific item.
* A promo code with the **Discount on selected items** setting is applied.

If no item-level promotions are applied, an empty array is returned.

  - `items.promotions.name` (string)

  - `items.promotions.date_start` (string | null)

  - `items.promotions.date_end` (string | null)

  - `items.promotions.discount` (object | null)

  - `items.promotions.discount.percent` (string | null)

  - `items.promotions.discount.value` (string | null)

  - `items.promotions.bonus` (array)

  - `items.promotions.bonus.sku` (string)

  - `items.promotions.bonus.quantity` (integer)

  - `items.promotions.bonus.type` (string)
    Bonus item type.
    Enum: "virtual_good", "virtual_currency", "bundle", "physical_good", "game_key", "nft"

  - `items.promotions.bonus.name` (string)
    Bonus item name. Not available for `physical_good` bonus item type.

  - `items.promotions.bonus.image_url` (string)
    Bonus item image URL. Not available for `physical_good` bonus item type.

  - `items.promotions.bonus.bundle_type` (string)
    Bonus bundle item type. Available only for `bundle` bonus item type.
    Enum: "standard", "virtual_currency_package"

  - `items.promotions.limits` (object)

  - `items.promotions.limits.per_user` (object)

  - `items.promotions.limits.per_user.available` (integer)

  - `items.promotions.limits.per_user.total` (integer)

  - `items.unit_items` (array)

  - `items.unit_items.sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: game_01

  - `items.unit_items.type` (string)
    Type of item: `game_key`.
    Example: game_key

  - `items.unit_items.is_free` (boolean)
    Whether the item is free.
    Example: false

  - `items.unit_items.price` (object)
    Item prices.

  - `items.unit_items.price.amount` (string)
    Discounted item price.
    Example: 2.9900

  - `items.unit_items.price.amount_without_discount` (string)
    Item price.
    Example: 2.9900

  - `items.unit_items.price.currency` (string)
    Item price currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: USD

  - `items.unit_items.virtual_prices` (array)
    Virtual prices.

  - `items.unit_items.virtual_prices.amount` (integer)
    Item price in virtual currency.
    Example: 100

  - `items.unit_items.virtual_prices.amount_without_discount` (integer)
    Item price in virtual currency without discount. Always equal to `amount` since discounts are not applied to prices in virtual currency.
    Example: 200

  - `items.unit_items.virtual_prices.sku` (string)
    Virtual currency SKU.
    Example: vc_gold

  - `items.unit_items.virtual_prices.is_default` (boolean)
    Whether it is the default price in virtual currency.
    Example: true

  - `items.unit_items.virtual_prices.image_url` (string | null)
    Virtual currency image URL.
    Example: http://image.png

  - `items.unit_items.virtual_prices.name` (string)
    Virtual currency name.
    Example: Gold

  - `items.unit_items.virtual_prices.type` (string)
    Item type. For virtual currency, it is `virtual_currency`.
    Example: virtual_currency

  - `items.unit_items.virtual_prices.description` (string | null)
    Virtual currency description.
    Example: In-game currency used to purchase weapons and upgrades

  - `items.unit_items.can_be_bought` (boolean)
    If `true`, the user can buy an item.
    Example: true

  - `items.unit_items.drm_name` (string)
    DRM name.
    Example: Steam

  - `items.unit_items.drm_sku` (string)
    Unique DRM ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: steam

  - `items.unit_items.has_keys` (boolean)
    If `true`, the game key has keys for sale.
    Example: false

  - `items.unit_items.is_pre_order` (boolean)
    If `true`, the game key is pre-order and the release date hasn't passed.
    Example: true

  - `items.unit_items.release_date` (string | null)
    Game key release date in the ISO 8601 format.
    Example: 2020-08-11T10:00:00+03:00

  - `items.unit_items.periods` (array | null)
    Item sales period.

  - `items.unit_items.periods.date_from` (string)
    Date when the specified item will be available for sale.
    Example: 2020-08-11T10:00:00+03:00

  - `items.unit_items.periods.date_until` (string | null)
    Date when the specified item will become unavailable for sale. Can be `null`.
    Example: 2020-08-11T20:00:00+03:00

  - `items.unit_items.vp_rewards` (array)
    List of value point rewards for the item.

  - `items.unit_items.vp_rewards.item_id` (integer)
    Internal unique item ID.
    Example: 1

  - `items.unit_items.vp_rewards.sku` (string)
    Unique value point ID.

  - `items.unit_items.vp_rewards.amount` (integer)
    Amount of value points.

  - `items.unit_items.vp_rewards.name` (string)
    Value point name.

  - `items.unit_items.vp_rewards.image_url` (string)
    Image URL.
    Example: https://image.example.com

  - `items.unit_items.vp_rewards.is_clan` (boolean)
    Whether the value point is used in clan reward chains.
    Example: true

  - `items.unit_items.loyalty_rewards` (array)
    Loyalty points the user receives as a reward for purchasing the item.

  - `items.unit_items.loyalty_rewards.name` (string)
    Loyalty point name.

  - `items.unit_items.loyalty_rewards.sku` (string)
    Loyalty point SKU. Pass this value in the `loyalty_point_sku` parameter of other API calls, for example, when creating an order paid with loyalty points.
    Example: 123e4567-e89b-12d3-a456-426614174000

  - `items.unit_items.loyalty_rewards.description` (string)
    Loyalty point description.

  - `items.unit_items.loyalty_rewards.image_url` (string | null)
    Image URL.
    Example: https://image.example.com

  - `items.unit_items.loyalty_rewards.amount` (integer)
    Number of loyalty points the user receives for purchasing the item.

  - `items.unit_items.loyalty_prices` (array)
    Loyalty points that can be used to purchase the item.

  - `items.unit_items.loyalty_prices.name` (string)
    Loyalty point name.

  - `items.unit_items.loyalty_prices.description` (string)
    Loyalty point description.

  - `items.unit_items.loyalty_prices.amount` (integer)
    Item price in the specified loyalty points.

